<?php

if (!class_exists('wpmlQueue')) {
    class wpmlQueue extends wpmlDbHelper
    {
        public $id;
        public $subject;
        public $message;
        public $list_id;
        public $theme_id = 0;
        public $group;
        public $attachment;
        public $attachmentfile;
        public $error = array();
        public $model = 'Queue';
        public $controller = 'queue';
        public $table_name = 'wpmlqueue';

        public $table_fields = array(

        );

        public $tv_fields = array(

        );

        public $indexes = array();

        public function __construct($data = array())
        {
            parent::__construct();

            $this -> table = $this -> pre . $this -> controller;

            if (!empty($data)) {
                foreach ($data as $key => $val) {
                    $this -> {$key} = stripslashes_deep($val);

                    switch ($key) {
                        case 'groups':
                            $this -> groups = maybe_unserialize($val);
                            break;
                    }
                }
            }
        }
    }
}
